summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rw-r--r--source/l/gtk+3/fix.missing.gdk.wayland.cursor.meson.build.diff15
-rwxr-xr-xsource/l/gtk+3/gtk+3.SlackBuild7
-rwxr-xr-xsource/l/mozilla-nss/mozilla-nss.SlackBuild2
3 files changed, 22 insertions, 2 deletions
diff --git a/source/l/gtk+3/fix.missing.gdk.wayland.cursor.meson.build.diff b/source/l/gtk+3/fix.missing.gdk.wayland.cursor.meson.build.diff
new file mode 100644
index 000000000..610d11079
--- /dev/null
+++ b/source/l/gtk+3/fix.missing.gdk.wayland.cursor.meson.build.diff
@@ -0,0 +1,15 @@
+--- ./gdk/wayland/cursor/meson.build.orig 2022-12-09 12:40:50.120829020 -0600
++++ ./gdk/wayland/cursor/meson.build 2022-12-09 12:40:50.120829020 -0600
+@@ -0,0 +1,12 @@
++wayland_cursor_sources = files([
++ 'wayland-cursor.c',
++ 'xcursor.c',
++ 'os-compatibility.c'
++])
++
++libwayland_cursor = static_library('wayland+cursor',
++ sources: wayland_cursor_sources,
++ include_directories: [ confinc, ],
++ dependencies: [ glib_dep, wlclientdep, ],
++ c_args: common_cflags,
++)
diff --git a/source/l/gtk+3/gtk+3.SlackBuild b/source/l/gtk+3/gtk+3.SlackBuild
index 740909808..c8e50c591 100755
--- a/source/l/gtk+3/gtk+3.SlackBuild
+++ b/source/l/gtk+3/gtk+3.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2018, 2020, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -85,6 +85,11 @@ zcat $CWD/gtk.fix.missing.version-check.py.diff.gz | patch -p1 --verbose || exit
# Loosen this up for gcc11:
zcat $CWD/gtk.array-bounds.gcc11.diff.gz | patch -p1 --verbose || exit 1
+# If this is missing:
+if [ ! -r gdk/wayland/cursor/meson.build ]; then
+ zcat $CWD/fix.missing.gdk.wayland.cursor.meson.build.diff.gz | patch -p1 --verbose || exit 1
+fi
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS -DG_ENABLE_DEBUG -DG_DISABLE_CAST_CHECKS"
export CXXFLAGS="$SLKCFLAGS -DG_ENABLE_DEBUG -DG_DISABLE_CAST_CHECKS"
diff --git a/source/l/mozilla-nss/mozilla-nss.SlackBuild b/source/l/mozilla-nss/mozilla-nss.SlackBuild
index ceefb90c8..33b0dac82 100755
--- a/source/l/mozilla-nss/mozilla-nss.SlackBuild
+++ b/source/l/mozilla-nss/mozilla-nss.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mozilla-nss
SRCNAM=nss
-VERSION=${VERSION:-3.85}
+VERSION=${VERSION:-3.86}
NSPR=${NSPR:-4.35}
BUILD=${BUILD:-1}